Skip to main content
GET
List the messages of a campaign

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

campaignId
string
required

The ID of the campaign.

Required string length: 40

Query Parameters

limit
integer
default:20

The number of items to return.

Required range: 1 <= x <= 100
cursor
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.

Maximum string length: 512
step
integer

Only list the messages of the step at this position.

Required range: 1 <= x <= 100
recipientId
string

Only list the messages to this person or company. Messages to deleted contacts match no recipient.

Required string length: 40
status
enum<string>

Only list the messages with this status. One of: draft, sent, not_sent.

Available options:
draft,
sent,
not_sent

Response

A page of messages of the campaign.

data
object
required
Example:
deprecations
string[]
Example: